%define mainver 0.9
##define cvsver 20030528

#%def_enable yahoo
##def_disable sg_patch

Name: ejabberd
Version: %mainver
Release: alt1

Summary: Fault-tolerant distributed Jabber server written in Erlang
License: JOSL/GPL
Group:	System/Servers
URL:	http://ejabberd.jabberstudio.org/

Requires: erlang
# Automatically added by buildreq on Wed Aug 18 2004
BuildRequires: erlang libexpat-devel gcc libssl-devel

Source: ejabberd-%mainver.tar.gz
Source1: ejabberd.init
Source2: ejabberd.cfg
Source3: ejabberd.logrotate
Source4: ejabberd
Source5: ejabberdctl
Source6: ejabberd.8.gz
Source7: ejabberdctl.8.gz

%description
ejabberd is a Free and Open Source distributed fault-tolerant Jabber
server. It writen mostly in Erlang.

The main features of ejabberd is:

* Truly portable
* Distributed
* Fault-tolerance
* Built-in Multi-User Chat service
* Built-in IRC transport
* Built-in Publish-Subscribe service
* Built-in Jabber Users Directory service based on users vCards
* Built-in web-based administration interface
* Built-in HTTP Polling service
* SSL support
* Support for LDAP authentification
* Ability to interface with external components (JIT, MSN-t, Yahoo-t, etc)
* Migration from jabberd14 is possible
* Mostly XMPP-compliant
* Support for JEP-0030 (Service Discovery).
* Support for JEP-0039 (Statistics Gathering).
* Support for xml:lang 

%description -l ru_RU.KOI8-R
ejabberd -   Jabber-  
    .     
Erlang.

  ejabberd :

*  
* 
*      
*   Multi-User Chat
*   IRC
*   Publish-Subscribe
*  Jabber Users Directory  vCards 
*  web-  
*   HTTP Polling
*  SSL
*    LDAP
*     (JIT, MSN-t, Yahoo-t  ..)
*     jabberd14
*      XMPP
*  JEP-0030 (Service Discovery).
*  JEP-0039 (Statistics Gathering).
*  xml:lang 

%prep
%setup -n %name

%build
cd src
%configure
%make_build

%install
cd src
cp Makefile Makefile.old
sed "s,^DESTDIR =,DESTDIR = $RPM_BUILD_ROOT,g;s,^prefix = ,prefix = $RPM_BUILD_ROOT,g;" <Makefile.old >Makefile
%makeinstall
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/logrotate.d $RPM_BUILD_ROOT%_initdir $RPM_BUILD_ROOT%_sbindir $RPM_BUILD_ROOT%_mandir/man8 $RPM_BUILD_ROOT%_var/run/ejabberd
%__install -m 755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/ejabberd
%__install -m 644 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/ejabberd/ejabberd.cfg
%__install -m 644 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/ejabberd
%__install %SOURCE4 $RPM_BUILD_ROOT%_sbindir
%__install %SOURCE5 $RPM_BUILD_ROOT%_sbindir
%__install %SOURCE6 $RPM_BUILD_ROOT%_mandir/man8
%__install %SOURCE7 $RPM_BUILD_ROOT%_mandir/man8

%pre
%_sbindir/groupadd -r -f ejabberd \
    2>/dev/null ||:
%_sbindir/useradd -r -g ejabberd -c 'ejabberd server' -d %_localstatedir/ejabberd \
    -s /dev/null ejabberd 2>/dev/null ||:

%files
%doc doc ChangeLog
%doc %_mandir/man8/*
%attr(640,root,ejabberd) %config(noreplace) %_sysconfdir/ejabberd/ejabberd.cfg
%_sbindir/*
%attr(750,ejabberd,ejabberd) %_localstatedir/ejabberd
%attr(750,ejabberd,ejabberd) %dir %_logdir/ejabberd 
%attr(750,ejabberd,ejabberd) %dir %_var/run/ejabberd
%config %_initdir/ejabberd
%config %_sysconfdir/logrotate.d/ejabberd

%changelog
* Wed Apr 20 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.9-alt1
- 0.9
- modified ejabberd init to support 'status' command

* Tue Mar 08 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.7.5-alt2
- fixed #6135 with patch from teo (Sergei Golovan)

* Wed Jan 12 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Sun Aug 22 2004 Mikhail Yakshin <greycat@altlinux.ru> 0.7-alt1
- Initial build for ALT Linux

